Get Event Query Options
curl --request GET \
--url https://api.virtuoussoftware.com/api/Event/QueryOptions \
--header 'Authorization: Bearer <token>'{
"options": [
{
"parameter": "<string>",
"type": "<string>",
"operatorOptions": [
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
},
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
}
],
"valueOptions": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"type": "<string>",
"operatorOptions": [
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
},
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
}
],
"valueOptions": [
"<string>",
"<string>"
]
}
],
"operatorOptions": [
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
},
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
}
]
}Event
Get Event Query Options
GET
/
api
/
Event
/
QueryOptions
Get Event Query Options
curl --request GET \
--url https://api.virtuoussoftware.com/api/Event/QueryOptions \
--header 'Authorization: Bearer <token>'{
"options": [
{
"parameter": "<string>",
"type": "<string>",
"operatorOptions": [
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
},
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
}
],
"valueOptions": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"type": "<string>",
"operatorOptions": [
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
},
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
}
],
"valueOptions": [
"<string>",
"<string>"
]
}
],
"operatorOptions": [
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
},
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
}
]
}Last modified on June 5, 2026
Was this page helpful?
⌘I